{-# LANGUAGE OverloadedStrings #-}
import NLP.Scores
import Data.List.Split
import Text.Printf
import qualified Data.Text.Lazy as Text
import qualified Data.Text.Lazy.Read as Text
import qualified Data.Text.Lazy.IO as Text

main = Text.interact $  format . mean . map readDouble . Text.lines

format :: Double -> Text.Text
format  = Text.pack . printf "%.4f\n"

readDouble x = 
    case Text.double x of
      Left err -> error err
      Right (d, "") -> d
